com.sun.jna.platform.win32

## Class Win32Exception

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - com.sun.jna.LastErrorException
        - - com.sun.jna.platform.win32.Win32Exception

- All Implemented Interfaces:
    java.io.Serializable

      public class Win32Exception
      extends LastErrorException

  Win32 exception.
  Author:
    dblock[at]dblock[dot]org
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `` | `Win32Exception(int code)` New Win32 exception from an error code, usually obtained from `GetLastError.`
    `protected` | `Win32Exception(int code, WinNT.HRESULT hr)`
    `protected` | `Win32Exception(int code, WinNT.HRESULT hr, java.lang.String msg)`
    `` | `Win32Exception(WinNT.HRESULT hr)` New Win32 exception from HRESULT.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `WinNT.HRESULT` | `getHR()` Returns the error code of the error.

    - ### Methods inherited from class com.sun.jna.LastErrorException

      `getErrorCode`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Win32Exception

          public Win32Exception(int code)

      New Win32 exception from an error code, usually obtained from `GetLastError.`
      Parameters:
        `code` - Error code.

    - #### Win32Exception

          public Win32Exception(WinNT.HRESULT hr)

      New Win32 exception from HRESULT.
      Parameters:
        `hr` - HRESULT

    - #### Win32Exception

          protected Win32Exception(int code,
                                   WinNT.HRESULT hr)

    - #### Win32Exception

          protected Win32Exception(int code,
                                   WinNT.HRESULT hr,
                                   java.lang.String msg)

  - ### Method Detail

    - #### getHR

          public WinNT.HRESULT getHR()

      Returns the error code of the error.
      Returns:
        HRESULT value

Copyright © 2007-2016 Timothy Wall. All Rights Reserved.